%define origname orange

Name: lib%origname
Version: 0.3
Release: alt0.M24.1

Summary: A library to squeeze out installable Microsoft cabinet files
License: MIT
Group: Archiving/Compression

Url: http://synce.sourceforge.net
Source: %origname-%version.tar.gz
Packager: SynCE Development Team <synce@packages.altlinux.org>

Requires: libdynamite
Requires: libsynce
Requires: libunshield >= 0.2
#Requires: cabextract unzip

# Automatically added by buildreq on Sun Jul 24 2005
BuildRequires: gcc-c++ libdynamite-devel libstdc++-devel libsynce-devel libunshield-devel zlib-devel

%description
See http://synce.sourceforge.net/synce for more information.

%package devel
Summary: Headers for library to squeeze out installable Micrsoft cabinet files
Group: Development/C
Requires: %name = %version
BuildRequires: libdynamite-devel
BuildRequires: libsynce-devel
BuildRequires: libunshield-devel

%description devel
See http://synce.sourceforge.net/synce for more information.

%if_enabled static
%package devel-static
Summary: Static library to squeeze out installable Micrsoft cabinet files
Compression Library
Group: Development/C
Requires: %name-devel = %version

%description devel-static
See http://synce.sourceforge.net for more information.
%endif

%prep
%setup -q -n %origname-%version
%__subst 's/-Werror //' {lib,src}/Makefile*

%build
%configure
%make

%install
%makeinstall

%files
%doc LICENSE
%_bindir/orange
%_libdir/liborange.so.*

%files devel
%_includedir/liborange.h
%_libdir/liborange.so

%if_enabled static
%files devel-static
%_libdir/liborange.a
#_libdir/liborange.la
%endif


%changelog
* Wed Aug 24 2005 Michael Shigorin <mike@altlinux.org> 0.3-alt0.M24.1
- built for ALM2.4

* Sun Jul 24 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.3-alt1
- 0.3

* Fri Sep 03 2004 Michael Shigorin <mike@altlinux.ru> 0.2-alt1
- built for ALT Linux (synce-kde dependency)

